# StellarGraph basics

[StellarGraph](https://github.com/stellargraph/stellargraph) has support for loading data via Pandas and NetworkX. This folder contains examples of the loading data into a `StellarGraph` object, which is the format used by the machine learning algorithms in this library.

## Find demos for a format

- [`loading-pandas`](loading-pandas.ipynb) shows the recommended way to load data, using Pandas (supporting any input format that Pandas supports, including CSV files and SQL databases)
- [`loading-networkx`](loading-networkx.ipynb) shows how to load data from a [NetworkX](https://networkx.github.io) graph
- [`loading-saving-neo4j`](loading-saving-neo4j.ipynb) shows how to load data from a [Neo4j](https://neo4j.com) database, and save results back to it

See [all demos for machine learning algorithms](../README.md).
